Subject: Re: feature request - implement a "GIT_AUTHOR_EMAIL" equivalent, but processed BEFORE .gitconfig

From: Nathan Neulinger <[email-masked]>
Date: Fri, 30 May 2014 13:44:05 -0500

> I wouldn't mind having a GIT_EMAIL envvar with the semantics you mean,
> but can you say more about the use case?  What's wrong with the usual
> EMAIL environment variable?

EMAIL actually worked for this case for me, but there wasn't any equivalent for author name, so the commits all look 
like "sharedaccount <myuser@mydomain>".

> [...]
>> [include]
>>     path = !/usr/local/bin/gen-git-env
>
> This is scary in terms of privilege escalation attacks.  ("Admin,
> could you please take a look at this repo?  When I run 'git status',
> ...".)

Wouldn't that be pulling from ~sharedaccount/.gitconfig anyway though? (Agreed that it could be an issue if you have 
shared ssh agent, krb5 tgts, etc. - but that would exist any time you connected into a shared account.)

I would probably take the approach of not supporting that syntax in anything other than the per-user gitconfig file 
though as a safety measure - per-repo config could indeed be a problem.

-- Nathan

------------------------------------------------------------
Nathan Neulinger                       [email-masked]
Neulinger Consulting                   (573) 612-1412